Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class RecipientTerm

    java.lang.Object
      javax.mail.search.SearchTerm
          javax.mail.search.AddressTerm
              javax.mail.search.RecipientTerm

All Implemented Interfaces:
  Serializable

    public final class RecipientTerm

extends AddressTerm

This class implements comparisons for the Recipient Address headers.

See Also:
  Serialized Form

Field Summary
`protected Message.RecipientType` | `type` The recipient type.

Fields inherited from class javax.mail.search.AddressTerm
`address`

Constructor Summary
`RecipientTerm(Message.RecipientType type, Address address)` Constructor.

Method Summary
`boolean` | `equals(Object obj)` Equality comparison.
`Message.RecipientType` | `getRecipientType()` Return the type of recipient to match with.
`int` | `hashCode()` Compute a hashCode for this object.
`boolean` | `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.AddressTerm
`getAddress, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected Message.RecipientType type

  The recipient type.

Constructor Detail

### RecipientTerm

    public RecipientTerm(Message.RecipientType type,
                         Address address)

  Constructor.

  Parameters:
    `type` - the recipient type
    `address` - the address to match for

Method Detail

### getRecipientType

    public Message.RecipientType getRecipientType()

  Return the type of recipient to match with.

### match

    public boolean match(Message msg)

  The match method.

  Specified by:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - The address match is applied to this Message's recepient address
  Returns:
    true if the match succeeds, otherwise false

### equals

    public boolean equals(Object obj)

  Equality comparison.

  Overrides:
    `equals` in class `AddressTerm`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.

  Overrides:
    `hashCode` in class `AddressTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.